Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  abstract class TreeCheckers extends Analyzer
  Definition Classes
    typechecker
- AbsAmbiguousTypeError
- AbsTypeError
- AccessTypeError
- Adaptation
- AmbiguousImplicitTypeError
- AmbiguousTypeError
- AnalyzerPlugin
- CODE
- ClassForCaseCompanionAttachment
- ClassMethodSynthesis
- CompleterWrapper
- ConstructorDefaultsAttachment
- Context
- ContextReporter
- DefMacroExpander
- DefaultsOfLocalMethodAttachment
- Delayed
- DiffResult
- DivergentImplicitTypeError
- DynamicRewriteAttachment
- ErrorUtils
- Failure
- Fallback
- Function1
- HasMember
- HasMethodMatching
- HasUnapply
- ImplicitAmbiguousMsg
- ImplicitAnnotationMsg
- ImplicitInfo
- ImplicitNotFoundMsg
- ImplicitSearch
- ImplicitsContextErrors
- ImportContext
- ImportInfo
- InferCheckable
- Inferencer
- InferencerContextErrors
- JavaReflectionResolvers
- LockingTypeCompleter
- MacroArgs
- MacroExpander
- MacroExpanderAttachment
- MacroExpansionAttachment
- MacroImplBinding
- MacroImplRefAttachment
- MacroPlugin
- MacroRuntimeAttachment
- MacroRuntimeResolver
- MacroStatus
- Message
- MethodSynth
- NamedApplyInfo
- Namer
- NamerContextErrors
- NamesDefaultsErrorsGen
- NoContext
- NoInstance
- NormalTypeError
- NormalTypeErrorFromCyclicReference
- OpenImplicit
- PatternTyper
- PolyTypeCompleter
- PosAndMsgTypeError
- SearchResult
- SilentResult
- SilentResultValue
- SilentTypeError
- Skipped
- Success
- SuperArgsAttachment
- SuppressMacroExpansionAttachment
- SymbolTracker
- SymbolTypeError
- Tag
- TreeChecker
- TreeTypeError
- TypeCompleter
- TypeCompleterBase
- TypeDiag
- TypeErrorWithUnderlyingTree
- TypeErrorWrapper
- Typer
- TyperContextErrors
- TyperDiagnostics
- instantiate
- namerFactory
- packageObjects
- typerFactory
- typingStack

c

scala.tools.nsc.typechecker.TreeCheckers

# DiffResult 

###

#### case class DiffResult[T](lost: List[T], gained: List[T]) extends Product with Serializable

Source
  TreeCheckers.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DiffResult
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DiffResult(lost: List[T], gained: List[T])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DiffResult[T] to any2stringadd[DiffResult[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DiffResult[T], B)
   Implicit
     This member is added by an implicit conversion from DiffResult[T] to ArrowAssoc[DiffResult[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (DiffResult[T]) ⇒ Boolean, msg: ⇒ Any): DiffResult[T]
   Implicit
     This member is added by an implicit conversion from DiffResult[T] to Ensuring[DiffResult[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (DiffResult[T]) ⇒ Boolean): DiffResult[T]
   Implicit
     This member is added by an implicit conversion from DiffResult[T] to Ensuring[DiffResult[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): DiffResult[T]
    Implicit
      This member is added by an implicit conversion from DiffResult[T] to Ensuring[DiffResult[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): DiffResult[T]
    Implicit
      This member is added by an implicit conversion from DiffResult[T] to Ensuring[DiffResult[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DiffResult[T] to StringFormat[DiffResult[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
15.  val gained: List[T]
16.  def gained_s: String
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  def isEmpty: Boolean
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  val lost: List[T]
21.  def lost_s: String
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      DiffResult → AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (DiffResult[T], B)
    Implicit
      This member is added by an implicit conversion from DiffResult[T] to ArrowAssoc[DiffResult[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DiffResult[T] to any2stringadd[DiffResult[T]]

### Inherited by implicit conversion StringFormat from DiffResult[T] to StringFormat[DiffResult[T]]

### Inherited by implicit conversion Ensuring from DiffResult[T] to Ensuring[DiffResult[T]]

### Inherited by implicit conversion ArrowAssoc from DiffResult[T] to ArrowAssoc[DiffResult[T]]

### Ungrouped